Name:           synfigstudio
Version:        0.62.00
Release:        2%{?dist}
Summary:        Vector-based 2D animation studio

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://synfig.org/
Source0:        http://download.sourceforge.net/synfig/%{name}-%{version}.tar.gz
Patch0:         synfigstudio-0.62.00-cflags.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
BuildRequires:  synfig-devel
BuildRequires:  ETL-devel >= 0.04.13
BuildRequires:  gtkmm24-devel
BuildRequires:  autoconf

%description
Synfig Animation Studio is a powerful, industrial-strength vector-based
2D animation software, designed from the ground-up for producing
feature-film quality animation with fewer people and resources.
It is designed to be capable of producing feature-film quality
animation. It eliminates the need for tweening, preventing the
need to hand-draw each frame. Synfig features spatial and temporal
resolution independence (sharp and smoothat any resolution or framerate),
high dynamic range images, and a flexible plugin system.

This package contains the GUI-based animation studio.


%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1 -b .cflags


%build
autoconf
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}
desktop-file-install --vendor="fedora"                          \
        --delete-original                                       \
        --dir=$RPM_BUILD_ROOT%{_datadir}/applications           \
        $RPM_BUILD_ROOT/%{_datadir}/applications/synfigstudio.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
update-desktop-database &> /dev/null || :


%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
update-desktop-database &> /dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/*
%{_libdir}/*.so.*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/mime-info/synfigstudio.*
%{_datadir}/pixmaps/*.png
%{_datadir}/pixmaps/synfigstudio
%doc AUTHORS COPYING README


%files devel
%defattr(-,root,root,-)
%{_includedir}/synfigapp-0.0
%{_libdir}/*.so
%exclude %{_libdir}/*.la
%doc COPYING TODO


%changelog
* Thu Dec 24 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.62.00-2
- Fix optflags use (Ville Skyttä, #549420)

* Tue Nov 17 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.62.00-1
- Bump version

* Fri Jan 09 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.61.09-1
- Initial packaging attempt
